> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an opportunity from a website lead

> Crea un negocio interno desde un formulario web ya recibido y deja el envio asociado.



## OpenAPI

````yaml /generated/specs/sales.json post /api/v1/public/website-leads/{id}/opportunity
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/public/website-leads/{id}/opportunity:
    post:
      tags:
        - Website Leads
      summary: Create an opportunity from a website lead
      description: >-
        Crea un negocio interno desde un formulario web ya recibido y deja el
        envio asociado.
      operationId: WebsiteLeadsCrmController_createOpportunityFromWebsiteLead
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOpportunityFromWebsiteLeadDto'
      responses:
        '201':
          description: Opportunity created and linked
components:
  schemas:
    CreateOpportunityFromWebsiteLeadDto:
      type: object
      properties:
        title:
          type: string
          description: Titulo manual para el negocio
        pipeline_id:
          type: string
          description: Pipeline destino
        stage_id:
          type: string
          description: Etapa destino

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.